.TH multidico 1 "5-Dec-92" "X Version 11"
.SH NAME
multidico - rotate multi-dimensional cubes
.SH SYNOPSIS
.B multidico
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono]
[\-delay \fIusecs\fP]
[\-dimension \fId\fP]
[\-axis-delay \fIseconds\fP]
[\-spin-delay \fIseconds\fP]
[\-show-axes]
[\-no-axes]
[\-font \fIfont\fP]
.SH DESCRIPTION
The \fImultidico\fP program rotates a multi-dimensional
hypercube in its window.
.SH OPTIONS
.I multidico
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-delay microseconds
How much of a delay should be introduced between steps of the animation.
Default 25000, or about 0.025 seconds.
.TP 8
.B \-dimension D
Create a D-dimensional hypercube.
By default creates a four-dimensional hypercube.
Will not create more than 7-dimensional objects.
.TP 8
.B \-axis-delay seconds
Delay before rotating additional dimensions.
Rotations exposing the Nth dimension are not allowed
until after N times this many seconds.
Default is eight seconds per dimension.
.TP 8
.B \-spin-delay seconds
Rotation may change up to this frequently.
Default is every two seconds.
.TP 8
.B \-show-axes
.B \-no-axes
Displays or prevents display of labels identifying each axis.
By default no labels are shown.
.TP 8
.B \-font
Selects the font in which axes will be labeled.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH "SEE ALSO"
X(1),
xscreensaver(1)
.SH COPYRIGHT
Copyright 1992 by John Heidemann.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
John Heidemann <johnh@ficus.cs.ucla.edu>, 5-Dec-92.
.SH ACKNOWLEDGEMENTS
Thanks to Jamie Zawinski <jwz@lucid.com> for xscreensaver
framework.
Thanks also to Microimages, Inc. of Lincoln, Nebraska
for sponsoring my first multi- (but only three) dimensional
program, and to the UCLA Ficus Project for providing
facilities allowing the development of this program.

